// Person.cpp: implementation of the Person class.
//
//////////////////////////////////////////////////////////////////////

#include "Person.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Person::Person(string fnarg, string lnarg, int agearg, double ssarg) :
firstName(fnarg), lastName(lnarg), age(agearg), shoeSize(ssarg)
{
/* The following assignment statements have been replaced by the
   above "initializers", which do essentially the same thing.
   this->firstName = fnarg;
   this->lastName = lnarg;
   this->age = agearg;
   this->shoeSize = ssarg;
   */
}

Person::~Person()
{

}

int Person::birthday (void)
{
return ++(this->age);
}

ostream& operator<< (ostream&s, const Person&p)
{
return p.put(s);
}

ostream& Person::put (ostream& s) const
{
 return s << firstName << " " << lastName << ", age " << age <<
   ", wears size " << shoeSize << " shoes.";
}
