// Student.cpp: implementation of the Student class.
//
//////////////////////////////////////////////////////////////////////

#include "Student.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Student::Student(string fnarg, string lnarg, int agearg, double ssarg, double GPAarg) :
firstName(fnarg), lastName(lnarg), age(agearg), shoeSize(ssarg), GPA(GPAarg)
{

}

Student::~Student()
{

}

int Student::birthday (void)
{
return ++(this->age);
}

ostream& operator<< (ostream&s, const Student&p)
{
return p.put(s);
}

ostream& Student::put (ostream& s) const
{
return s << firstName << " " << lastName << ", age " << age <<
   ", wears size " << shoeSize << " shoes and has a GPA of " << GPA;
}
