// Person.cpp: implementation of the Person class.
//
//////////////////////////////////////////////////////////////////////

#include "Person.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Person::Person(string fnarg, string lnarg, int agearg, double ssarg) :
firstName(fnarg), lastName(lnarg), age(agearg), shoeSize(ssarg)
{

}

Person::~Person()
{

}

int Person::birthday (void)
{
return ++(this->age);
}

ostream& operator<< (ostream&s, const Person&p)
{
return p.put(s);
}


ostream& Person::put (ostream& s) const
{
	// s.setf(std::ios_base::fixed,std::ios_base::floatfield);
	// s.precision(2);
return s << firstName << " " << lastName << ", age " << age <<
   ", wears size " << shoeSize << " shoes.";
}
