// Student.cpp: implementation of the Student class.
//
//////////////////////////////////////////////////////////////////////

#include "Student.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Student::Student(string fnarg, string lnarg, int agearg, double ssarg, double GPAarg) :
Person(fnarg, lnarg, agearg, ssarg), GPA(GPAarg)
// Note that we could NOT say "firstName(fnarg), lastName(lnarg)", etc.
// because firstName, lastName, etc. are private variables belonging to the
// Person class, so we can't get at them from here.  However, we can invoke
// the Person constructor as above.
{

}

Student::~Student()
{

}

ostream& Student::put (ostream& s) const
{
Person::put(s); // invokes the Person version of "put"
return s << "The GPA is " << GPA << "."; // extra information
}
